# Backup

Creates a backup of a database.
This tool copies all database files. The database must be closed before using this tool. To create a backup while the database is in use, run the BACKUP SQL statement. In an emergency, for example if the application is not responding, creating a backup using the Backup tool is possible by using the quiet mode. However, if the database is changed while the backup is running in quiet mode, the backup could be corrupt.

Methods
static void | execute(String zipFileName, String directory, String db, boolean quiet) Backs up database files.

static void

execute(String zipFileName, String directory, String db, boolean quiet) throws SQLException
Backs up database files.
Parameters:
zipFileName - the name of the target backup file (including path)
directory - the source directory name
db - the source database name (null if there is only one database, and and empty string to backup all files in this directory)
quiet - don't print progress information

static void | main(String... args) Options are case sensitive.

static void

main(String... args) throws SQLException
Options are case sensitive. Supported options are:

[-help] or [-?] | Print the list of options
[-file <filename>] | The target file name (default: backup.zip)
[-dir <dir>] | The source directory (default: .)
[-db <database>] | Source database; not required if there is only one
[-quiet] | Do not print progress information

Parameters:
args - the command line arguments

void | runTool(String... args)
void | runTool(String... args) throws SQLException